nas (1.9.4-7) unstable; urgency=medium

  * Team upload

  [ Steve McIntyre ]
  * Moved git repo from alioth to salsa.d.o

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Do Thanh Trung ]
  * Fix cross build setup by using "dh_auto_build" instead of "$(MAKE)"

  [ Paul Gevers ]
  * Work around gcc-10 behavior change by adding -fcommon. Closes: #957574

 -- Paul Gevers <elbrus@debian.org>  Mon, 28 Dec 2020 21:55:02 +0100

nas (1.9.4-6) unstable; urgency=medium

  * Stop pre-depending on multiarch-support. Closes: #870558
    Thanks to Aurelien Jarno for the patch.

 -- Steve McIntyre <93sam@debian.org>  Wed, 02 Aug 2017 17:29:44 -0400

nas (1.9.4-5) unstable; urgency=medium

  * Build the voxware server on Hurd. Thanks to Pino Toscano for the
    patch. Closes: #832630

 -- Steve McIntyre <93sam@debian.org>  Sun, 31 Jul 2016 00:26:37 +0100

nas (1.9.4-4) unstable; urgency=medium

  * Change nas-bin dependency from perl5 to perl. Closes: #808232
    Thanks to Dominic Hargreaves for the patch.

 -- Steve McIntyre <93sam@debian.org>  Fri, 18 Dec 2015 17:32:16 +0000

nas (1.9.4-3) unstable; urgency=medium

  * Add --with=autotools_dev on top of dh_autoreconf, to allow building on
    new architectures. Closes: #768996

 -- Steve McIntyre <93sam@debian.org>  Mon, 10 Nov 2014 18:12:16 +0000

nas (1.9.4-2) unstable; urgency=medium

  * Massive thanks to Steve Langasek for helping with packaging conversion
    to dh(1):
    + gives us md5sums for all packages.  Closes: #646225.
    + Drop call to debconf-updatepo, which should be invoked by the maintainer
      as part of source prep and not during a package build.
    + Use dh_autoreconf instead of manually munging config.{guess,sub}.
    + debian/patches/snprintf.m4: pull in a missing m4 macro, required in order
      to be able to run autoreconf (arguably, a missing part of the upstream
      source).
    + Drop manual include symlinking, handled by the upstream rules.
    + Makes the nas packages binNMU-multiarch safe. Closes: #768651

 -- Steve McIntyre <93sam@debian.org>  Mon, 10 Nov 2014 15:40:00 +0000

nas (1.9.4-1) unstable; urgency=low

  * Switch source format and split up our patches, stick in git.
  * Add Vcs-Git and Vcs-Browser fields.
  * New upstream stable version:
    + Multiple security fixes merged that we had already included
    + Warning fixes
  * Remove old patches that we don't need now:
    + DontPreprocessManPages.patch
    + string-functions-overflow.patch
    + TCP_DEVICE.patch
    + port-offset.patch
    + log-format-string.patch

 -- Steve McIntyre <93sam@debian.org>  Thu, 10 Oct 2013 14:38:08 +0100

nas (1.9.3-6) unstable; urgency=high

  * Fixes for various long-standing security issues found by Hamid
    Zamani <me@hamidx9.ir>. Closes: #720287
    + Validate the port offset of nasd to fix a potential buffer overflow
      (CVE-2013-4256)
    + Use better string functions to guard against heap overflows
      (CVE-2013-4257)
    + Sanity-check the TCP_DEVICE environment variable to remove a format
      string bug (CVE-2013-4258)

 -- Steve McIntyre <93sam@debian.org>  Fri, 23 Aug 2013 00:35:04 +0100

nas (1.9.3-5) unstable; urgency=low

  * Remove Conflicts: nas-lib from libaudio2.

 -- Steve McIntyre <93sam@debian.org>  Thu, 19 Apr 2012 02:09:28 +0000

nas (1.9.3-4) unstable; urgency=low

  * Add dependency on new libperl4-corelibs-perl package for auscope.

 -- Steve McIntyre <93sam@debian.org>  Wed, 01 Feb 2012 02:09:28 +0000

nas (1.9.3-3) unstable; urgency=low

  * Tweak hardening flags more to add linker options. Closes: #656857
  * Add support for DEB_BUILD_OPTS (nostrip and noopt)

 -- Steve McIntyre <93sam@debian.org>  Sun, 22 Jan 2012 14:09:16 +0000

nas (1.9.3-2) unstable; urgency=low

  * Enable hardening flags through dpkg-buildflags. Closes: #655743
  * Fix string handling in aulog.c:osLogMsg() to fix missing format string
    in call to syslog().

 -- Steve McIntyre <93sam@debian.org>  Sat, 21 Jan 2012 22:07:21 +0000

nas (1.9.3-1) unstable; urgency=low

  * New upstream version.
  * Fix how man pages are generated so they're not pre-processed.
    Closes: #639543
  * Be more careful about what we strip - don't FTBFS by trying to strip
    perl scripts! Closes: #642671

 -- Steve McIntyre <93sam@debian.org>  Thu, 13 Oct 2011 18:21:36 +0100

nas (1.9.2-9) unstable; urgency=low

  * Fixups for multi-arch, thanks to Steve Langasek. Closes: #637326
    + Use -n for all gzip invocations, for multiarch.
    + Mark libaudio-dev Multi-Arch: same as well.
    + Install AuErrorDB to /usr/share/libaudio2, not to a multiarch
      path, since it's arch-independent. Update code to look there.

 -- Steve McIntyre <93sam@debian.org>  Fri, 12 Aug 2011 12:15:41 +0100

nas (1.9.2-8) unstable; urgency=low

  * Switch to multi-arch. Closes: #637326
  * Add rules for build-arch and build-indep, just depending on "build"
    for now - there's nothing major to gain from splitting them.

 -- Steve McIntyre <93sam@debian.org>  Wed, 10 Aug 2011 12:45:41 +0100

nas (1.9.2-7) unstable; urgency=low

  * Remove the first attempted fix for the link failure; the updated
    upstream config/NetAudio.tmpl file in -6 already fixed that a better
    way, in fact.
  * Take an update for lib/audio/Imakefile from upstream svn too while
    we're at it.
  * Give up on being clever about make clean, so we don't trip over errors
    and cause an FTBFS. Closes: #625648

 -- Steve McIntyre <93sam@debian.org>  Wed, 03 May 2011 21:12:52 +0100

nas (1.9.2-6) unstable; urgency=low

  * Remove Build-Dep on libxp-dev. Closes: #623659
  * Include updated config/NetAudio.tmpl from upstream trunk to remove
    build-time warnings about SharedLibX etc.

 -- Steve McIntyre <93sam@debian.org>  Sat, 30 Apr 2011 17:18:18 +0100

nas (1.9.2-5) unstable; urgency=low

  * Fix up linking for --no-add-needed. Closes: #555762
  * Update Standards-Version and fix lintian errors:
    + weak-library-dev-dependency libaudio-dev on libaudio2
    + remove old redundant prerm scripts
    + add set -e in maintainer scripts

 -- Steve McIntyre <93sam@debian.org>  Sat, 30 Apr 2011 16:48:01 +0100

nas (1.9.2-4) unstable; urgency=low

  * Updated Danish Debconf translation. Thanks to Joe Dalton.
    Closes: #601131

 -- Steve McIntyre <93sam@debian.org>  Sun, 14 Nov 2010 17:34:42 +0000

nas (1.9.2-3) unstable; urgency=low

  * Fixed Japanese Debconf translation. Thanks to Hideki Yamane.
    Closes: #542548

 -- Steve McIntyre <93sam@debian.org>  Mon, 24 Aug 2009 23:53:20 +0100

nas (1.9.2-2) unstable; urgency=low

  * Grab updated config.sub to fix FTBFS on new architectures.
    Closes: #535998
  * Added Japanese Debconf translation. Thanks to Hideki Yamane.
    Closes: #512867
  * Updated Spanish Debconf translation. Thanks to Francisco Javier Cuadrado.
    Closes: #520687
  * Updated Standards-Version (no changes).

 -- Steve McIntyre <93sam@debian.org>  Tue, 18 Aug 2009 21:06:55 +0100

nas (1.9.2-1) unstable; urgency=low

  * New upstream version.
  * All the Debian-specific source patches are now upstream!
  * Updated Standards-Version (no changes).

 -- Steve McIntyre <93sam@debian.org>  Sun, 24 May 2009 00:17:49 +0100

nas (1.9.1-5) unstable; urgency=low

  * Fix pending l10n issues. Debconf translations:
  * Swedish. Closes: #491766 (thanks to brother@bsnet.se)
  * Arabic. Closes: #500437 (thanks to Ossama Khayat)
  * Basque. Closes: #500533 (thanks to Piarres Beobide)
  * Brazilian Portuguese. Closes: #500973 (thanks to Felipe
    Augusto van de Wiel)
  * Many thanks again to Christian Perrier for his i18n efforts,
    co-ordinating the above.

 -- Steve McIntyre <93sam@debian.org>  Wed, 08 Oct 2008 01:18:19 +0100

nas (1.9.1-4) unstable; urgency=low

  * The upstream Makefiles are not wonderful; go back to "-make clean".

 -- Steve McIntyre <93sam@debian.org>  Wed, 02 Jul 2008 01:19:24 +0100

nas (1.9.1-3) unstable; urgency=low

  * Update libaudio-dev and nas Depends: to be more closely tied to the
    libaudio2 version. Closes: #483374
  * Updated Swedish Debconf translation (Closes: #483767). Thanks to
    Martin Bagge for the update.
  * Updated Dutch Debconf translation (Closes: #461794). Thanks to
    Vincent Zweije for the update.
  * Change Build-Depend on xutils to xutils-dev. Closes: #485212
  * Remove bashism in rules file. Closes: #484414
  * Update Standards-Version.
  * Cope better with make errors.

 -- Steve McIntyre <93sam@debian.org>  Tue, 01 Jul 2008 23:47:55 +0100

nas (1.9.1-2) unstable; urgency=low

  * Add LSB formatted dependency info in the nas init script. Thanks to
    Petter Reinholdtsen for the patch. Closes: #465425

 -- Steve McIntyre <93sam@debian.org>  Wed, 27 Feb 2008 22:00:17 +0000

nas (1.9.1-1) unstable; urgency=low

  * New upstream version.

 -- Steve McIntyre <93sam@debian.org>  Thu, 22 Nov 2007 22:46:46 +0000

nas (1.9a-1) unstable; urgency=low

  * New upstream version.

 -- Steve McIntyre <93sam@debian.org>  Sun, 28 Oct 2007 22:57:16 +0000

nas (1.9-3) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #442823.
    Thanks to Christian and the whole team!
  * Debconf translation updates:
  * Vietnamese. Closes: #444168
  * Russian. Closes: #444556
  * Italian. Closes: #444609
  * French. Closes: #444660
  * Galician. Closes: #444755
  * German. Closes: #444919
  * Czech. Closes: #445655
  * Finnish. Closes: #445665
  * Portuguese. Closes: #445708
  * Brazilian Portuguese. Closes: #445739

 -- Steve McIntyre <93sam@debian.org>  Tue, 16 Oct 2007 00:46:03 +0100

nas (1.9-2) unstable; urgency=low

  * Build-Depend on the needed -dev packages rather than the now-obsolete
    xlibs-static-dev package. Closes: #421562

 -- Steve McIntyre <93sam@debian.org>  Wed,  9 May 2007 23:00:41 +0100

nas (1.9-1) unstable; urgency=low

  * New upstream version.
  * Remove more in the "clean" rule in debian/rules to reduce the diff size.

 -- Steve McIntyre <93sam@debian.org>  Sun, 29 Apr 2007 00:19:29 +0100

nas (1.8-4) unstable; urgency=high

   * High-urgency upload to fix multiple security holes (CVE-2007-1543,
     CVE-2007-1544, CVE-2007-1545, CVE-2007-1546 and CVE-2007-1547):
    + accept_att_local buffer overflow through USL connection
    + server termination through unexistent ID in AddResource
    + bcopy crash caused by integer overflow in ProcAuWriteElement
    + invalid memory pointer caused by big num_actions in
      ProcAuSetElements
    + another invalid memory pointer caused by big num_actions in
      ProcAuSetElements
    + invalid memory pointer in compileInputs
    + exploits bug 3 in read mode (requires something playing on
      the server)
    + NULL pointer caused by too much connections
    + Closes: #416038

 -- Steve McIntyre <93sam@debian.org>  Mon, 26 Mar 2007 00:29:10 +0100

nas (1.8-3) unstable; urgency=medium

  * Added Portuguese debconf translation, thanks to Miguel Figueiredo.
    Closes: #408181.
  * Added Spanish debconf translation, thanks to Steve Lord Flaubert.
    Closes: #409805.

 -- Steve McIntyre <93sam@debian.org>  Thu,  8 Feb 2007 00:23:46 +0000

nas (1.8-2) unstable; urgency=low

  * Fix libaudio linking on GNU/kFreeBSD to match that on Linux. Thanks to
    Petr Salinger for the patch; closes: #368726
  * Updated libtool and various tweaks to allow 1.8 to build on
    GNU/kFreeBSD; Thanks to Petr Salinger for the patch; closes: #379758
  * Added Russian debconf translation, thanks to Yuri Kozlov.
    Closes: #380435.

 -- Steve McIntyre <93sam@debian.org>  Sun, 13 Aug 2006 21:18:28 +0100

nas (1.8-1) unstable; urgency=low

  * New upstream version.
  * Updated Standards-Version
  * Removed ancient mention of the NAS_DEVICE_POLICY and
    NAS_MIXER_POLICY environment variables from the README.Debian

 -- Steve McIntyre <93sam@debian.org>  Tue,  4 Jul 2006 21:06:28 +0100

nas (1.7-9) unstable; urgency=low

  * Added Dutch debconf translation, thanks to Vincent Zweije.
    Closes: #364169.
  * Added Galician debconf translation, thanks to Jacobo Tarrio.
    Closes: #362134.
  * Updated Standards-Version.
  * Fixes for various lintian warnings.

 -- Steve McIntyre <93sam@debian.org>  Fri, 28 Apr 2006 23:48:43 +0100

nas (1.7-8) unstable; urgency=low

  * YA update for hurd, thanks to Samuel Thibault. Closes: #344914

 -- Steve McIntyre <93sam@debian.org>  Tue, 11 Apr 2006 23:17:08 +0100

nas (1.7-7) unstable; urgency=low

  * Another update to make nas build on hurd, thanks to Samuel Thibault.
    Closes: #344914 (again)

 -- Steve McIntyre <93sam@debian.org>  Sun,  9 Apr 2006 22:30:51 +0100

nas (1.7-6) unstable; urgency=low

  * Build the nas server for GNU/kFreeBSD. Closes: #357621
    Thanks to Aurelien Jarno for the patch.
  * Changed Build-Deps to libxaw7-dev rather than libxaw8-dev; libxaw8 is
    going away.

 -- Steve McIntyre <93sam@debian.org>  Mon, 27 Mar 2006 12:48:51 +0100

nas (1.7-5) unstable; urgency=low

  * _Really_ added the Danish debconf translation, missed in the last
    upload...

 -- Steve McIntyre <93sam@debian.org>  Tue, 28 Feb 2006 23:26:05 +0000

nas (1.7-4) unstable; urgency=low

  * Don't build the server on hurd (as it won't work anyway), but build
    the rest of the packages (e.g. libaudio) so that build-deps are
    satisfied for other packages. Closes: #344914. Thanks to Michael Banck
    for the patch.
  * Fix typos in the AuSetBucketAttributes and AuSoundCreateFileFromBucket
    manpages. Closes: #349728. Thanks to Nicolas Francois.
  * Added Swedish debconf translation, thanks to Daniel Nylander.
    Closes: #348840.
  * Added Danish debconf translation, thanks to Claus Hinsgaul.
    Closes: #352226.

 -- Steve McIntyre <93sam@debian.org>  Sun, 12 Feb 2006 01:31:37 +0000

nas (1.7-3) unstable; urgency=low

  * Added a quick-start example section to the README.Debian for
    remote audio using nas. Thanks to David Liontooth for the text.
  * Fixed typo in German debconf translation; thanks to Jens Seidel.
    Closes: #313803.
  * Added Vietnamese debconf translation; thanks to Clytie Siddall.
    Closes: #315659
  * Added Czech debconf translation; thanks to Katarina Machalkova.
    Closes: #319853
  * Updated Build-Deps to cope with new Xorg X header layout.
    Closes: #323727
  * Updated debconf dependency to allow cdebconf usage.

 -- Steve McIntyre <93sam@debian.org>  Wed, 31 Aug 2005 20:53:37 +0100

nas (1.7-2) unstable; urgency=low

  * Fix FTBFS using gcc 4.0. Closes: #284927. Thanks to Andreas Jochens
    for the patch.
  * Fixed multiple other compilation warnings with gcc 4.0

 -- Steve McIntyre <93sam@debian.org>  Sun, 26 Dec 2004 20:05:28 +0000

nas (1.7-1) unstable; urgency=low

  * New upstream version. Closes: #281540

 -- Steve McIntyre <93sam@debian.org>  Mon, 15 Nov 2004 17:08:00 +0000

nas (1.6d-2) unstable; urgency=low

  * Added patch to allow building on GNU/k*BSD. Thanks to Robert
    Millan. Closes: #263525
  * Added German debconf translation, thanks to Erok Schanze.
    Closes: #264826

 -- Steve McIntyre <93sam@debian.org>  Wed, 18 Aug 2004 00:58:32 +0100

nas (1.6d-1) unstable; urgency=low

  * New upstream release.

 -- Steve McIntyre <93sam@debian.org>  Wed, 23 Jun 2004 01:15:02 +0100

nas (1.6c-4) unstable; urgency=low

  * Added Catalan translation of Debconf template. Thanks to Aleix
    Badia i Bosch for the patch. Closes: #248726.
  * Added /etc/default/nas config file. Set any global options for
    nasd in here. Closes: #237195

 -- Steve McIntyre <93sam@debian.org>  Sun, 16 May 2004 23:59:32 +0100

nas (1.6c-3) unstable; urgency=low

  * Fixed Build-Deps. Closes: #238001.

 -- Steve McIntyre <93sam@debian.org>  Sun, 14 Mar 2004 22:06:32 +0000

nas (1.6c-2) unstable; urgency=low

  * Added French deconf translation. Closes: #236712. Thanks to Eric
    Madesclair for the patch.
  * Updated dependencies to use new X 4.3 packages.
  * Updated Standards-Version; no changes needed.

 -- Steve McIntyre <93sam@debian.org>  Sun, 14 Mar 2004 15:55:16 +0000

nas (1.6c-1) unstable; urgency=low

  * New upstream release.
    + Upstream have taken the patch for specifying server config file
  * Changed over to use po-debconf. Closes: #233269. Thanks to Martin
    Quinson for the patch.

 -- Steve McIntyre <93sam@debian.org>  Wed, 18 Feb 2004 22:12:49 +0000

nas (1.6b-3) unstable; urgency=low

  * Fixed silly bug in the config file patch. Closes: #231987

 -- Steve McIntyre <93sam@debian.org>  Wed, 11 Feb 2004 00:33:34 +0000

nas (1.6b-2) unstable; urgency=low

  * Patched to allow the nasd server config file location to be passed on
    the command line. Closes: #205666.
  * Changed Priority of libaudio-dev from extra to optional. Closes: #227842.

 -- Steve McIntyre <93sam@debian.org>  Fri, 06 Feb 2004 23:03:34 +0000

nas (1.6b-1) unstable; urgency=low

  * New upstream version
    + Fix for segfault in libaudio2. Closes: #225575, #225588

 -- Steve McIntyre <93sam@debian.org>  Fri, 02 Jan 2004 02:17:23 +0000

nas (1.6a-1) unstable; urgency=low

  * New upstream version
  * Moved libaudio-dev from devel to libdevel section.

 -- Steve McIntyre <93sam@debian.org>  Wed, 24 Dec 2003 01:00:43 +0000

nas (1.6-6) unstable; urgency=low

  * Fixed typo in Xtutil.h. Thanks to Stephen J. Turnbull. Sent upstream too.
  * Increased priority of nasd to reduce problems with audio dropouts. Closes: #187333.

 -- Steve McIntyre <93sam@debian.org>  Sat, 10 May 2003 23:13:12 +0100

nas (1.6-5) unstable; urgency=low

  * Changed Build-Depends from libxaw-dev to libxaw7-dev. Closes: #170010.
  * libaudio2 now Conflicts with nas-lib. Closes: #171388.
  * libaudio-dev now Conflicts with nas-dev. Closes: #170622.
  * Stop creating the /usr/doc symlinks.

 -- Steve McIntyre <93sam@debian.org>  Wed, 04 Dec 2002 20:19:52 +0000

nas (1.6-4) unstable; urgency=low

  * Start nasd with the -b option to daemonise properly again. Closes: #169142
  * Moved nas from priority extra to optional
  * Moved nas-doc from section sound to doc

 -- Steve McIntyre <93sam@debian.org>  Thu, 14 Nov 2002 23:41:07 +0000

nas (1.6-3) unstable; urgency=low

  * Backed out the previous change - it didn't help. The real problem was lonking libaudio with libXau, which isn't necessary or possible on Debian. Removed the -lXau for the libaudio build, and all seems to work now. Closes: #168031.

 -- Steve McIntyre <93sam@debian.org>  Fri, 08 Nov 2002 04:01:45 +0000

nas (1.6-2) unstable; urgency=low

  * Force building the lib code with -fpic as needed. Closes: #168031

 -- Steve McIntyre <93sam@debian.org>  Thu, 07 Nov 2002 02:38:49 +0000

nas (1.6-1) unstable; urgency=low

  * New upstream release
  * Fix so nas build with latest version of bison. Closes: #166135.
  * Renamed package name nas-lib to libaudio2 and nas-dev to libaudio-dev. Closes: #143927
  * New Standards-Version.

 -- Steve McIntyre <93sam@debian.org>  Tue, 05 Nov 2002 02:51:04 +0000

nas (1.5-1) unstable; urgency=low

  * New upstream release; just about all of the Debian patches now
    folded in upstream.
  * Fixed lintian warning.

 -- Steve McIntyre <93sam@debian.org>  Sun, 06 Jan 2002 23:02:27 +0100

nas (1.4.2-5) unstable; urgency=low

  * Added Suggests: for audiooss at request of its maintainer.
  * Moved the example nasd.conf from /etc to the .../examples directory.
  * Removed the old environment variable hacks from the init script.

 -- Steve McIntyre <93sam@debian.org>  Mon, 22 Oct 2001 01:20:56 +0100

nas (1.4.2-4) unstable; urgency=medium

  * Added missing Build-Depends: for file . Closes: #115238.

 -- Steve McIntyre <93sam@debian.org>  Thu, 11 Oct 2001 15:53:56 +0100

nas (1.4.2-3) unstable; urgency=medium

  * Not all HPArchitecture machines run HPUX! Added workaround for HPPA port. Closes: #115040

 -- Steve McIntyre <93sam@debian.org>  Wed, 10 Oct 2001 00:11:18 +0100

nas (1.4.2-2) unstable; urgency=medium

  * Cope with breakages in imake. Closes: #113859
  * LD_LIBRARY_PATH build hack cleaned up so it works with fakeroot again.

 -- Steve McIntyre <93sam@debian.org>  Tue, 09 Oct 2001 01:16:11 +0100

nas (1.4.2-1) unstable; urgency=low

  * New upstream release.
  * Fixed filename for nasd.conf man page so man finds it

 -- Steve McIntyre <93sam@debian.org>  Sun, 15 Apr 2001 22:18:17 +0100

nas (1.4.1-4) unstable; urgency=low

  * Added Build-Depends on libxaw-dev. Closes: #90712. Also added xlibs-dev, xutils, bison, flex.

 -- Steve McIntyre <93sam@debian.org>  Thu, 22 Mar 2001 19:52:43 +0000

nas (1.4.1-3) unstable; urgency=low

  * Link libaudio against libm. Closes: #87534.
  * Change of maintainer address.

 -- Steve McIntyre <93sam@debian.org>  Tue, 27 Feb 2001 01:30:36 +0000

nas (1.4.1-2) unstable; urgency=low

  * Fix serious packaging bug - make sure we only strip real binaries, not scripts. Broke alpha(?) build. Thanks to Paul Slootman for the patch. Closes: #82573.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sat, 20 Jan 2001 23:45:36 +0000

nas (1.4.1-1) unstable; urgency=low

  * New upstream version, repackaged.
  * Added patch from nas mailing list to fix audio init - only attempt to open 2 channels, not 3.
  * Updated soundlib.c from Jon Trulson to fix potential hang with oddly-sized elements.
  * Fixed packaging bug for nas-doc. It's arch-independent!
  * Added back patches for two old bug fixes - closing the starting fds on nasd and setting the sticky bit on the sockets directory.
  * Fix the libaudio major number to be compatible with previous Debian releases.
  * Several compilation warning fixes.
  * Moved the nasd.conf man page into section 5.
  * Debconf-ised nas configuration.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Tue, 12 Dec 2000 02:01:59 +0000

nas (1.2p5-12) frozen unstable; urgency=low

  * Moved all to Priority: optional to re-fix the dependency issues. Fixes
    Bug#52079, Bug#56332.
  * Updated Standards-Version.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 13 Feb 2000 17:23:39 +0000

nas (1.2p5-11) unstable; urgency=low

  * Make sure we add the sticky bit to /tmp/.sockets/ . Fixes Bug#40370.
  * Move Priority from extra to optional to help with dependency problems.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 15 Aug 1999 19:30:36 +0100

nas (1.2p5-10) unstable; urgency=low

  * Updated nas-bin dependency on perl; now use perl5. Fixes Bug#41486

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Wed, 21 Jul 1999 23:19:36 +0100

nas (1.2p5-9) unstable; urgency=low

  * Doh! Forgot to document the mixer fix, or add it to the init.d script. Now done.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sat, 30 Jan 1999 16:57:18 +0000

nas (1.2p5-8) unstable; urgency=low

  * Stop nas buggering with the mixer by default. Fixes Bug#29147
  * The nas daemon now does a chdir("/") at startup, which may help when finding core files.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sat, 16 Jan 1999 21:59:18 +0000

nas (1.2p5-7) unstable; urgency=low

  * Fixed several misc. buld problems, really fixes Bug#26149?

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Fri, 28 Aug 1998 00:12:03 +0100

nas (1.2p5-6) unstable; urgency=low

  * Added missing man page nas.nas - fixes Bug#26142.
  * Fixed several misc. buld problems, fixes Bug#26149.
  * Updated Standards-Version

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Wed, 26 Aug 1998 23:38:51 +0100

nas (1.2p5-5) unstable; urgency=low

  * Using big patch from nas mailing list to fix several bugs:
        see ftp://ftp.ncd.com/pub/ncd/technology/src/nas/nas-mail-archive/mar98.gz
  * Now releases sound device when not in use (Bugs#13634,25333)
  * Now split into 5 packages instead of one: -lib, -dev, -bin and -doc as
        well as base daemon package. Fixes Bugs#19088,22414.
  * Moved entire package out of /usr/X11R6 - why was it there? Now under /usr;
        fixes Bug#7847.
  * Close stderr, stdin and stdout. Fixes Bugs#23467,24571.
  * Package appears to work fine - close Bug#21622.
  * Updated Standards-Version

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sat, 22 Aug 1998 18:56:27 +0100

nas (1.2p5-4) unstable; urgency=low

  * Remove debian/files in cleanup. Fixes Bug #24333.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Wed, 08 Jul 1998 23:29:40 +0100

nas (1.2p5-3) frozen unstable; urgency=low

  * Added path to start-nas script. Fixes Bug #21605, Important Bug #23841.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Thu, 02 Jul 1998 00:13:40 +0100

nas (1.2p5-2) frozen unstable; urgency=low

  * Updated distribution - added frozen to make it into hamm before release.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 05 Apr 1998 21:24:30 +0100

nas (1.2p5-1) unstable; urgency=low

  * New maintainer
  * Should uninstall itself (fixed in previous non-maintainer upload), so fixed bug #17791.
  * Work ongoing on other bugs; probably too much work to make it into frozen.
  * Fixed several problems thrown up by lintian:
  * Fixed perms on include files and others;
  * Added man page for start-nas;
  * Added options to /etc/init.d/nas.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 29 Mar 1998 19:24:30 +0000

nas (1.2p5-0.3) unstable; urgency=low

  * Non-maintainer upload
  * Should now _really_ build without being installed already (sigh)

 -- Mark Baker <mbaker@iee.org>  Tue, 27 Jan 1998 13:34:30 +0000

nas (1.2p5-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Should now build without being installed already!

 -- Mark Baker <mbaker@iee.org>  Tue, 27 Jan 1998 13:34:00 +0000

nas (1.2p5-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream version (#11204)
  * libc6
  * Converted to new (not very new anymore!) source format (#9488)
  * Don't depend on elf-x11r6lib (#12871,#13083)
  * Rewritten postinst etc (#3107,#3510)
  * Create symlink from au.1x.gz to nas.1x.gz (#1747, kind of)

 -- Mark Baker <mbaker@iee.org>  Tue, 28 Oct 1997 23:22:49 +0000
